<!-- Shows a team's matches at one competition. -->

{% extends 'main/base.html' %}
{% load static %}
{% load scouting_extras %}

{% block stylesheets %}
<link rel="stylesheet" href="{% static 'scouting/css/indexTeam.css' %}">
{% endblock %}

{% block js %}
<script type="text/javascript" src="{% static 'scouting/js/search.js' %}"></script>
{% endblock %}

{% block nav_home %} class="button" {% endblock %}
{% block nav_scouting %} class="button-selected" {% endblock %}
{% block nav_contact %} class="button" {% endblock %}
{% block nav_sign-in %} class="button" {% endblock %}

{% block content %}

<head>
  <script type="text/javascript">
    
    // Chart stuff goes here

  </script>

<script>
function sortTable(n) {
  var table, rows, switching, i, j, x, y, cell, shouldSwitch, dir, switchcount = 0;
  table = document.getElementById("matchTable");
  switching = true;
  // Set the sorting direction to ascending:
  dir = "asc"; 
      rows = table.rows;
      // Change the appearance of the selected header
      for (j = 0; j < rows[0].cells.length; j++) {
        cell = rows[0].cells[j];
        console.log(cell);
        
        if(j == n) {
          //set the cell class to change appearance
          cell.classList.add("highlightedCell");
        } else {
          //remove the cell class
          cell.classList.remove("highlightedCell");
        }
      }
  /* Make a loop that will continue until
  no switching has been done: */
  
  while (switching) {
    // Start by saying: no switching is done:
    switching = false;
    rows = table.rows;
    /* Loop through all table rows (except the
    first, which contains table headers): */
    for (i = 2; i < (rows.length - 1); i++) {
      // Start by saying there should be no switching:
      shouldSwitch = false;
      /* Get the two elements you want to compare,
      one from current row and one from the next: */
      x = rows[i].getElementsByTagName("TD")[n];
      y = rows[i + 1].getElementsByTagName("TD")[n];
      /* Check if the two rows should switch place,
      based on the direction, asc or desc: */
      if (dir == "asc" && n > 1) {
        if (parseFloat(x.textContent.toLowerCase()) < parseFloat(y.textContent.toLowerCase())) {
          // If so, mark as a switch and break the loop:
          shouldSwitch = true;
          break;
        }
      } else if (dir == "desc" && n > 1) {
        if (parseFloat(x.textContent.toLowerCase()) > parseFloat(y.textContent.toLowerCase())) {
          // If so, mark as a switch and break the loop:
          shouldSwitch = true;
          break;
        }
      } else if (dir == "asc") {
        if (parseFloat(x.textContent.substring(6).toLowerCase()) < parseFloat(y.textContent.substring(6).toLowerCase())) {
          // If so, mark as a switch and break the loop:
          shouldSwitch = true;
          break;
        }
      } else if (dir == "desc") {
        console.log(parseFloat(x.textContent.substring(6)));
        if (parseFloat(x.textContent.substring(6).toLowerCase()) > parseFloat(y.textContent.substring(6).toLowerCase())) {
        // If so, mark as a switch and break the loop:
        shouldSwitch = true;
        break;
        }
      }
    }
    if (shouldSwitch) {
      /* If a switch has been marked, make the switch
      and mark that a switch has been done: */
      rows[i].parentNode.insertBefore(rows[i + 1], rows[i]);
      switching = true;
      // Each time a switch is done, increase this count by 1:
      switchcount ++; 
    } else {
      /* If no switching has been done AND the direction is "asc",
      set the direction to "desc" and run the while loop again. */
      if (switchcount == 0 && dir == "asc") {
        dir = "desc";
        switching = true;
      }
    }
  }
}
</script>
</head>

<div class = "content"> 
        <!-- Delete these line breaks when the CSS is fixed so that stuff isn't hidden by the top bar -->
        <br><br><br><br><br><br>
  
  <div class = "buttons"> 
      <a href="{% url 'scouting:indexCompIR' comp.id %}" class = "match-button"> <i class="fas fa-caret-left"></i> Back to Competition</a>
  </div>
  
    {% if team %}
        <div class = "team-header"> <a href = "{% url 'scouting:indexTeamAllIR' team.id %}"> Team {{ team }} </a> </div>
    {% else %}
        <div class = "team-header"> Team [Number not found] </div>
    {% endif %}

    {% if avg %}
        <h3 class = "average-score"> <span class = "grey-text"> Average Score at {{ comp.Name }}: </span> {{ avg }} </h3>
    {% else %}
        <h3 class = "average-score"> No average score </h1>
    {% endif %}
    
    {% if matches and team %}
    
      <!-- Chart divs go here -->
    <div class = "charts"> 
      <div id="hatch_chart"></div>
      <div id="cargo_chart"></div>
      <div id="sandstorm_chart"></div>
      <div id="climbing_chart"></div>
      <div id="hatch_cargo_div"></div>
    </div>
    
     <h2 class = "matches"> Matches at <u><a href = "{% url 'scouting:indexCompIR' comp.id %}">{{ comp.Name }}</a></u></h2>
      <ul>
        
      <div class="search-bar">
            <h1><i class="fas fa-search"></i></h1>
            <input id="search-input" type="text" placeholder='Search Matches' onkeyup="myFunction()">
      </div>
      
        <div style="overflow:auto;">
          <table id = "matchTable">
            <tr>
                        <th onclick="sortTable(0)" class = "highlightedCell"> <div class = "inline"> Match <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(1)"> <div class = "inline"> Initiation Line <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(2)"> <div class = "inline"> Low Port Auto <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(3)"> <div class = "inline"> Outer Auto <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(4)"> <div class = "inline"> Inner Auto <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(5)"> <div class = "inline"> Low Port <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(6)"> <div class = "inline"> Outer Port <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(7)"> <div class = "inline"> Inner Port <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(8)"> <div class = "inline"> Position <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(9)"> <div class = "inline"> Rotation <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(13)"> <div class = "inline"> Level climb? <i class="fas fa-sort"> </i> </div> </th>
                        <th onclick="sortTable(14)"> <div class = "inline"> Climbing <i class="fas fa-sort"> </i> </div> </th>
                    </tr>
                      
                    <tr>
                        <td class = "average"> Averages:</td>
                        <td class = "average"> {{ MIL }}</td>
                        <td class = "average"> {{ ALPA }}</td>
                        <td class = "average"> {{ AOPA }}</td>
                        <td class = "average"> {{ AIPA }}</td>
                        <td class = "average"> {{ ALP }}</td>
                        <td class = "average"> {{ AOP }}</td>
                        <td class = "average"> {{ AIP }}</td>
                        <td class = "average"> {{ ACPP }}</td>
                        <td class = "average"> {{ ACPR }}</td>
                        <td class = "average"> {{ MDIDLEVEL }}</td>
                        <td class = "average"> {{ MCLIMB }}</td>
                    </tr>
                    
                    {% for m in matches %}
                    <tr>
                        <td><u><li><a class = "view" href="{% url 'scouting:detailedIR' comp.id m.id %}">Match {{ m.MatchNum }}</a></li></u></td>
                        <td>{{ m.Initiation_Line }}</td>
                        <td>{{ m.Lower_Port_Auto }}</td>
                        <td>{{ m.Outer_Port_Auto }}</td>
                        <td>{{ m.Inner_Port_Auto }}</td>
                        <td>{{ m.Lower_Port }}</td>
                        <td>{{ m.Outer_Port }}</td>
                        <td>{{ m.Inner_Port }}</td>
                        <td>{{ m.CP_Position }}</td>
                        <td>{{ m.CP_Rotation }}</td>
                        <td>{{ m.DidLevel }}</td>
                        <td>{{ m.Climb }}</td>
                    </tr> 
                    
                    {% endfor %}

                </table>
            </div>
        </ul>
        
    {% else %}
        <p class = "no-data"> No data is available, or there has been an error. Contact programming if this message appears after data has been entered.</p>
    {% endif %}
    
</div>

{% endblock %}
